Bug 1010380 - pkcon refresh fails to re-create all data
pkcon refresh fails to re-create all data
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: PackageKit (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Richard Hughes
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 12:18 EDT by smatula
Modified: 2013-12-12 10:50 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-12 10:50:22 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description smatula 2013-09-20 12:18:37 EDT
Description of problem: pkcon refresh fails to re-create other.sqlite data
Below is a diff: all other data is no longer there.

match at a[0] and b[0] of length 80
match at a[138] and b[80] of length 232
match at a[383] and b[312] of length 264
match at a[729] and b[576] of length 360
match at a[1171] and b[936] of length 167
match at a[1420] and b[1103] of length 291
match at a[1793] and b[1394] of length 446
match at a[2239] and b[1840] of length 0
Diff output:

  /var/cache/yum/x86_64/7.0/timedhosts
  
  /var/cache/yum/x86_64/7.0/beaker-harness:
- 13eb5c8ce42d16a2805d427bc527dc49a7726741-other.sqlite.bz2
  92731d8c2b2378371f025827116af78a4f359393-primary.sqlite.bz2
  cachecookie
  dd5a7e0840eac0c2d6c11fa233e3f197a02101df-filelists.sqlite.bz2
  gen
  packages
  repomd.xml
  
  /var/cache/yum/x86_64/7.0/beaker-tasks:
  cachecookie
  filelists.xml.gz
  gen
- other.xml.gz
  packages
  primary.xml.gz
  repomd.xml
  
  /var/cache/yum/x86_64/7.0/beaker-Workstation:
  81391ea7091d0a64cd6051a759f2fb2cd3d891fd7afc1765a37760e099fb55e6-primary.sqlite.bz2
  a4c82e883581e30e3ad94347ed5e228727e488fd12ce81b69b04d61c37ebad1d-filelists.sqlite.bz2
  cachecookie
- da710b64b307ea939c88f9b79bc549c75bbf75becf021adc08d098c425c66d90-other.sqlite.bz2
  eb0603af7611f2419793652deaaebd50c28be1785c2722b14ade02825a179b23-comps-Workstation.x86_64.xml.gz
  gen
  packages
  repomd.xml
  
  /var/cache/yum/x86_64/7.0/beaker-Workstation-debuginfo:
  a615cd981452b3660a065f66616db2c7c8d73b1aa461db617fbc5dc310603eeb-filelists.sqlite.bz2
  cachecookie
  ee0262ec5f6090bd1daad0acb60b8a4a88d50b710bff1377f99d6262f07f57e8-primary.sqlite.bz2
- ff2019180facb94e5c5f085d1874e8298eb7e5f0395a83515511d0539c1d5e77-other.sqlite.bz2
  gen
  packages
  repomd.xml
  
  /var/cache/yum/x86_64/7.0/beaker-Workstation-optional:
  31bb37bb9a4e6505294d928b13bc8892abe2a65ea7bc8cf439eab57101ab6848-filelists.sqlite.bz2
- 81dc76b75a5eabd497a3c616faa0dd9650ef5882429271f23807b0b68949e7e2-other.sqlite.bz2
  8739a51c1c8386443f68dea0bd2b42296eb7867a01e010c3a78fc399d8af867c-comps-Workstation-optional.x86_64.xml.gz
  9e667cec5cbd9388dc668163791c1206634233ba4b97ce5486bb28d63227b3d1-primary.sqlite.bz2
  cachecookie
  gen
  packages
  repomd.xml
  
  /var/cache/yum/x86_64/7.0/beaker-Workstation-optional-debuginfo:
- 5d84303299803b351b4cecb075aab59d569a98dbfb943517d0edaec73c3c310a-other.sqlite.bz2
  a3c8d15717989ff5f44ddd74c1c11964f2f6a0572972315e2d6e665ccf75760d-filelists.sqlite.bz2
  cachecookie
  d8919e5e592163759422b6dd3411ae7b47140bfeae02a8d1c79203e47bf5b5e0-primary.sqlite.bz2
  gen
  packages
  repomd.xml
  
  /var/cache/yum/x86_64/7.0/local:
  37425b05a99220f32da68f222c9b47a5b000e0e2b4725ddfa87894a7afbfb5b3-primary.sqlite.bz2
  72ebc523381a707a39b8853675cf74e5952437a63ff095832225dd94252626d3-filelists.sqlite.bz2
  cachecookie
  gen
  packages
  repomd.xml


Version-Release number of selected component (if applicable):
PackageKit-0.8.9-6.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1.yum clean all
2.yum makecache (recreate to make sure cache data is there)
3. save off list of contents under /var/cache/yum/x86_64/6Server/
4. yum clean all
5. pkcon refresh
6. get another list of contents and compare.

Actual results:
other data is now missing

Expected results:
All data to be re-created

Additional info:
Comment 2 Matthias Clasen 2013-12-11 22:24:08 EST
we're not going to get pkcon fixes for 7.0. yum is the recommended commandline client for software installation, anyway
Comment 3 RHEL Product and Program Management 2013-12-12 10:50:22 EST
Development Management has reviewed and declined this request.
You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.